Subject: Re: bug#67946: 30.0.50; [RFC PATCH] Add an option to not report "Wrote ..." when saving recentf.

From: Vladimir Nikishkin <[email-masked]>
Date: Mon, 25 Dec 2023 13:17:37 +0800

Stefan Kangas <[email-masked]> writes:

> Vladimir Nikishkin <[email-masked]>
> writes:
>
>> I have the following setting in my init.el
>>
>> (add-hook 'buffer-list-update-hook 'recentf-track-opened-file)
>> (add-hook 'buffer-list-update 'recentf-save-list)
>>
>> The first one is the one recommended by describe-function recentf-mode,
>> and the second one is to make this switch persistent, and resistant to
>> emacs being killed.
>>
>> However, I am getting a lot of messages like
>> `Wrote /home/lockywolf/.emacs.d/recentf', which are not very helpful
>> normally.
>
> When are these messages helpful?

Are you suggesting to turn them off unconditionally?

It would make sense, I guess. It might be useful when debugging "why is
my recentf file not updated", but if such an issue arises, I guess,
instrumenting "recentf-save-list" is more of a straightforward thing?

-- 
Your sincerely,
Vladimir Nikishkin (MiEr, lockywolf)
(Laptop)